Bug 4836 - job submitted INFO level logging
: job submitted INFO level logging
Status: RESOLVED FIXED
: GRAM
wsrf managed execution job service
: 4.0.3
: Macintosh All
: P3 enhancement
: 4.0.5
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-11-03 12:08 by
Modified: 2008-02-05 17:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-03 12:08:11
In addition to entry and exit logging (bug 3742).  I think standard in GRAM4
INFO level logging should be an entry for the local job id after a successful
submission to the LRM.  So something like this:

2005-09-12 12:59:18,953 INFO  exec.StateMachine
   [Thread-17,logJobAccepted:3019] Job.
   b35a0332-23c7-11da-8dc1-0008744f939a accepted for
   '/C=US/O=NPACI/OU=SDSC/CN=Mats Rynge/UID=ux454281' mapped
   to local user 'rynge'

2005-09-12 12:59:18,953 INFO  exec.StateMachine
   [Thread-18,logJobSubmitted:3022] Job.
   b35a0332-23c7-11da-8dc1-0008744f939a subitted local job id is
   '617067.tg-master.ncsa.teragrid.org'

2005-09-12 12:59:24,892 INFO  exec.StateMachine.
   [Thread-20,logJobSucceeded:3035] Job.
   b35a0332-23c7-11da-8dc1-0008744f939a finished successfully
------- Comment #1 From 2006-11-03 15:32:02 -------
Done in globus_4_0_community branch:

2006-11-03 11:44:12,447 INFO  exec.StateMachine [RunQueue
Submit,logJobSubmitted:3546] Job 4baf1640-6b6b-11db-affb-8ebb53df432c submitted 
with local job ID '11552'
------- Comment #2 From 2007-09-19 11:38:06 -------
Reassigning to current GRAM developer to close/fix as appropriate.